apply plugin: 'com.android.library'
android {
    compileSdkVersion 28



    defaultConfig {
        minSdkVersion 17
        targetSdkVersion 23
        versionCode 1
        versionName "1.0"

    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

}


dependencies {

    api fileTree(dir: 'libs', include: ['*.jar'])

    api 'com.huawei.hms:base:6.3.0.301'
    api 'com.huawei.hms:hwid:6.4.0.300'
    api 'com.huawei.hms:iap:6.3.0.300'
    api 'com.huawei.hms:game:6.2.0.301'
    api 'com.huawei.hms:hianalytics:6.4.1.302'


    api 'com.huawei.hms:ads-identifier:3.4.39.302'
    api 'com.huawei.hms:ads-installreferrer:3.4.39.302'


    compileOnly project(':library_base')

    compileOnly project(':library_core')


    compileOnly project(':library_channel')

}